Show / Hide Table of Contents

# Struct LayoutManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.LayoutEngine

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct LayoutManager

### Fields

| Improve this Doc View Source

#### HousingController

##### Declaration

    public void *HousingController

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### IndoorAreaData

##### Declaration

    public IndoorAreaLayoutData*IndoorAreaData

##### Field Value

Type | Description
--- | ---
IndoorAreaLayoutData* |

| Improve this Doc View Source

#### TerritoryTypeId

##### Declaration

    public uint TerritoryTypeId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### SetInteriorFixture(Int32, Int32, Int32, Byte)

##### Declaration

    public void SetInteriorFixture(int floor, int part, int fixtureId, byte unk = 255)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | floor |
System.Int32 | part |
System.Int32 | fixtureId |
System.Byte | unk |